from bloc_note import Note

if __name__ == "__main__":
    bloc_note = Note()

    while True:
        try:
            print("Clés disponibles : ", bloc_note.cle_disponibles())
            nouvelle_cle = input("Entrez la clé de la nouvelle note (ou 'exit' pour quitter) : ")

            if nouvelle_cle.lower() == 'exit':
                break

            if nouvelle_cle in bloc_note.cle_disponibles():
                resultat_consultation = bloc_note.consulter_note(nouvelle_cle)
                print(resultat_consultation)
            else:
                nouveau_contenu = input("Entrez votre nouvelle note : ")
                bloc_note.ajouter_note(nouvelle_cle, nouveau_contenu)

        except Exception as e:
            print(f"Une erreur s'est produite : {e}")

    try:
        cle_demandee = input("Entrez la clé de la note que vous souhaitez consulter : ")
        resultat_consultation = bloc_note.consulter_note(cle_demandee)
        print(resultat_consultation)

    except Exception as e:
        print(f"Une erreur s'est produite : {e}")
